# This file created by conda-build 3.23.3
# ------------------------------------------------

package:
  name: tensorflow-estimator
  version: 2.11.0
source:
  - patches:
      - patches/0001-loosen-requirements.patch
    sha256: 99c732b92b1b37fc243a559e02f9aef5671771e272758aa4aec7f34dc92dac48
    url: https://github.com/tensorflow/tensorflow/archive/refs/tags/v2.11.0.tar.gz
  - folder: tensorflow-estimator
    sha256: 922f9187de79e8e7f7d7a5b2d6d3aabc81bbbd6ba5f12a4f52967dd302214a43
    url: https://github.com/tensorflow/estimator/archive/refs/tags/v2.11.0.tar.gz
build:
  number: 0
  string: cuda112py310h37add04_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h5bd9786_13
    - alsa-lib 1.2.7.2 h166bdaf_0
    - bazel 5.3.2 h12e2e3f_3
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_11
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2022.12.7 ha878542_0
    - cairo 1.16.0 ha61ee94_1014
    - expat 2.5.0 h27087fc_0
    - font-ttf-dejavu-sans-mono 2.37 hab24e00_0
    - font-ttf-inconsolata 3.000 h77eed37_0
    - font-ttf-source-code-pro 2.038 h77eed37_0
    - font-ttf-ubuntu 0.83 hab24e00_0
    - fontconfig 2.14.1 hc2a2eb6_0
    - fonts-conda-ecosystem 1 0
    - fonts-conda-forge 1 0
    - freetype 2.12.1 hca18f0e_1
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_11
    - gettext 0.21.1 h27087fc_0
    - giflib 5.2.1 h36c2ea0_2
    - graphite2 1.3.13 h58526e2_1001
    - gxx_impl_linux-64 10.4.0 h5231bdf_19
    - gxx_linux-64 10.4.0 h6e491c6_11
    - harfbuzz 5.3.0 h418a68e_0
    - icu 70.1 h27087fc_0
    - jpeg 9e h166bdaf_2
    - kernel-headers_linux-64 3.10.0 h4a8ded7_13
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.19.3 h08a2579_0
    - lcms2 2.14 h6ed2654_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - lerc 4.0.0 h27087fc_0
    - libabseil 20220623.0 cxx17_h05df665_6
    - libcups 2.3.3 h3e49a29_2
    - libdeflate 1.14 h166bdaf_0
    - libedit 3.1.20191231 he28a2e2_2
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libglib 2.74.1 h606061b_1
    - libgomp 12.2.0 h65d4601_19
    - libgrpc 1.51.1 h30feacc_0
    - libiconv 1.17 h166bdaf_0
    - libpng 1.6.39 h753d276_0
    - libprotobuf 3.21.12 h3eb15da_0
    - libsanitizer 10.4.0 h5246dfb_19
    - libstdcxx-devel_linux-64 10.4.0 hd38fd1e_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libtiff 4.4.0 h55922b4_4
    - libuuid 2.32.1 h7f98852_1000
    - libwebp-base 1.2.4 h166bdaf_0
    - libxcb 1.13 h7f98852_1004
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - nvcc_linux-64 11.2 h309498c_22
    - openjdk 11.0.15 hea3dc9f_3
    - openssl 3.0.7 h0b41bf4_1
    - pcre2 10.40 hc3806b6_0
    - pixman 0.40.0 h36c2ea0_0
    - pthread-stubs 0.4 h36c2ea0_1001
    - re2 2022.06.01 h27087fc_1
    - sed 4.8 he412f7d_0
    - sysroot_linux-64 2.17 h4a8ded7_13
    - xorg-fixesproto 5.0 h7f98852_1002
    - xorg-inputproto 2.3.2 h7f98852_1002
    - xorg-kbproto 1.0.7 h7f98852_1002
    - xorg-libice 1.0.10 h7f98852_0
    - xorg-libsm 1.2.3 hd9c2040_1000
    - xorg-libx11 1.7.2 h7f98852_0
    - xorg-libxau 1.0.9 h7f98852_0
    - xorg-libxdmcp 1.1.3 h7f98852_0
    - xorg-libxext 1.3.4 h7f98852_1
    - xorg-libxfixes 5.0.3 h7f98852_1004
    - xorg-libxi 1.7.10 h7f98852_0
    - xorg-libxrender 0.9.10 h7f98852_1003
    - xorg-libxtst 1.2.3 h7f98852_1002
    - xorg-recordproto 1.14.2 h7f98852_1002
    - xorg-renderproto 0.11.1 h7f98852_1002
    - xorg-xextproto 7.3.0 h7f98852_1002
    - xorg-xproto 7.0.31 h7f98852_1007
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h6239696_4
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.12.7 ha878542_0
    - cudatoolkit 11.8.0 h37601d7_11
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.40.0 h753d276_0
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.7 h0b41bf4_1
    - packaging 22.0 pyhd8ed1ab_0
    - pip 22.3.1 pyhd8ed1ab_0
    - python 3.10.8 h4a9ceb5_0_cpython
    - readline 8.1.2 h0f457ee_0
    - setuptools 65.5.1 pyhd8ed1ab_0
    - tensorflow-base 2.11.0 cuda112py310h52da4a5_0
    - tk 8.6.12 h27826a3_0
    - tzdata 2022g h191b570_0
    - wheel 0.38.4 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - __glibc >=2.17
    - cudatoolkit >=11.2,<12
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - openssl >=3.0.7,<4.0a0
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
    - tensorflow-base 2.11.0 cuda112py310h52da4a5_0
test:
  commands:
    - pip check
  requires:
    - pip
about:
  description: 'TensorFlow offers multiple levels of abstraction so you can choose
    the

    right one for your needs. Build and train models by using the high-level

    Keras API, which makes getting started with TensorFlow and machine learning

    easy.

    '
  dev_url: https://github.com/tensorflow/tensorflow
  doc_source_url: https://github.com/tensorflow/tensorflow/tree/master/tensorflow/docs_src
  doc_url: https://www.tensorflow.org/get_started/get_started
  home: http://tensorflow.org/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: TensorFlow is an end-to-end open source platform for machine learning.
extra:
  copy_test_source_files: true
  feedstock-name: tensorflow
  final: true
  recipe-maintainers:
    - farhantejani
    - ghego
    - h-vetinari
    - hajapy
    - hmaarrfk
    - jschueller
    - ngam
    - njzjz
    - waitingkuo
    - wolfv
    - xhochy
